import {engine} from "scilla"

const registerDef = engine.registerDef.bind(engine);

import Fade from './animation/Fade';
import TouchZoom from './animation/TouchZoom';
import Translation from './animation/Translation';
import Wave from './animation/Wave';
import Zoom from './animation/Zoom';
import InteractComponent from './base/InteractComponent';
import ScillaComponent from './base/ScillaComponent';
import TouchInterrupt from './base/TouchInterrupt';
import Transform from './base/Transform';
import CameraController from './other/CameraController';
import ContentSizeFitter from './other/ContentSizeFitter';
import FullStageSize from './other/FullStageSize';
import RelativeLayout from './other/RelativeLayout';
import CircleRenderer from './renderer/CircleRenderer';
import FrameAnimationRenderer from './renderer/FrameAnimationRenderer';
import GraphicRenderer from './renderer/GraphicRenderer';
import LineRenderer from './renderer/LineRenderer';
import RectRenderer from './renderer/RectRenderer';
import Renderer from './renderer/Renderer';
import TextRenderer from './renderer/TextRenderer';
import TextureRenderer from './renderer/TextureRenderer';
import Button from './ui/Button';
import ProgressBar from './ui/ProgressBar';
import ScrollView from './ui/ScrollView';

export function registerAllComponents(){
	registerDef('components/animation/Fade', Fade);
	registerDef('components/animation/TouchZoom', TouchZoom);
	registerDef('components/animation/Translation', Translation);
	registerDef('components/animation/Wave', Wave);
	registerDef('components/animation/Zoom', Zoom);
	registerDef('components/base/InteractComponent', InteractComponent);
	registerDef('components/base/ScillaComponent', ScillaComponent);
	registerDef('components/base/TouchInterrupt', TouchInterrupt);
	registerDef('components/base/Transform', Transform);
	registerDef('components/other/CameraController', CameraController);
	registerDef('components/other/ContentSizeFitter', ContentSizeFitter);
	registerDef('components/other/FullStageSize', FullStageSize);
	registerDef('components/other/RelativeLayout', RelativeLayout);
	registerDef('components/renderer/CircleRenderer', CircleRenderer);
	registerDef('components/renderer/FrameAnimationRenderer', FrameAnimationRenderer);
	registerDef('components/renderer/GraphicRenderer', GraphicRenderer);
	registerDef('components/renderer/LineRenderer', LineRenderer);
	registerDef('components/renderer/RectRenderer', RectRenderer);
	registerDef('components/renderer/Renderer', Renderer);
	registerDef('components/renderer/TextRenderer', TextRenderer);
	registerDef('components/renderer/TextureRenderer', TextureRenderer);
	registerDef('components/ui/Button', Button);
	registerDef('components/ui/ProgressBar', ProgressBar);
	registerDef('components/ui/ScrollView', ScrollView);
}